package com.saini.testingchat.service;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.util.Log;

import com.saini.testingchat.util.ChatUtils;

public class InternetChangeReceiver extends BroadcastReceiver {

	@Override
	public void onReceive(final Context context, final Intent intent) {
		final ConnectivityManager connMgr = (ConnectivityManager) context
				.getSystemService(Context.CONNECTIVITY_SERVICE);
		final android.net.NetworkInfo netInfo = connMgr.getActiveNetworkInfo();

		if (netInfo != null) {
			// Do something

			Log.d("Netowk Available | intiate service Startup", "Yes");
			String username = ChatUtils.getUserNameFromSharedPrefs(context);
			String passwrd = ChatUtils.getPasswordFromSharedPrefs(context);
			Intent loginServiceIntent = new Intent(context, MainService.class);
			loginServiceIntent.putExtra("unm", username);
			loginServiceIntent.putExtra("pwd", passwrd);
			context.startService(loginServiceIntent);
		} else {

			Intent loginServiceIntent = new Intent(context, MainService.class);
			context.stopService(loginServiceIntent);
			Log.d("Netowk Available| intiate service stop", "No");
		}
	}

}
